Bug 980352 - No failure message when system update status can't be saved
No failure message when system update status can't be saved
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.13
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 19.0
: ---
Assigned To: Dan Callaghan
tools-bugs
: Patch
Depends On: 1014438
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 03:04 EDT by Nick Coghlan
Modified: 2014-11-25 02:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-25 02:18:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-02 03:04:25 EDT
Description of problem:

While attempting to mark a system as broken, it fails if the condition report is too long.

When I copied a snippet from the console log, it refused to save the update, but didn't tell me why - I had to guess.

Version-Release number of selected component (if applicable):

Beaker 0.13.1

How reproducible:

Always

Steps to Reproduce:
1. Mark a system as Broken
2. Enter a long-ish Condition Report
3. Try to save the changes

Actual results:

Edit page is redisplayed with no error message

Expected results:

Error message is displayed, explaining the condition report is too long (and specifying both the length limit and the current length)

Additional info:

It may not hurt to allow for longer condition reports, too. The error message I was trying to paste in really wasn't *that* long:

From console logs:

HA-0      
(Bus       
2       
Dev       
14)       
PERC       
4e/Si       
Standard       
FW       
513O       
DRAM       
=256MB       
(SDRAM)      
Battery      
module       
is       
present       
on       
adapter      
Memory/battery       
problems       
were       
detected.      
The      
adapter       
has       
recovered,       
but       
cached       
data       
was       
lost.      
Press      
any       
key       
to       
continue.
Comment 1 Dan Callaghan 2013-08-21 19:48:07 EDT
I guess the condition report field is failing TG validation but the template for that form doesn't have the necessary bits to display validation errors on every field.
Comment 4 Dan Callaghan 2014-09-24 05:46:21 EDT
One day we will have a database that doesn't just silently truncate our data... In the meantime:

http://gerrit.beaker-project.org/3351

I also took the opportunity to increase the column length from 255 to 4000:

http://gerrit.beaker-project.org/3350
Comment 7 Dan Callaghan 2014-11-25 02:18:14 EST
Beaker 19.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.